import React, {useState} from "react";
import classes from "../../assets/styles/components/bodyModal/editUserAdminPanel.module.scss";
import MyInput from "../../components/MyInput.jsx";


const EditUserAdminPanel = ({
    id,
    email,
    firstName,
    isAdmin,
    isTeacher,
    lastName,
    login,
    phone,
    setEmail,
    setFirstName,
    setIsAdmin,
    setIsTeacher,
    setLastName,
    setLogin,
    setPhone,
}) => {

    console.log('228', id, isAdmin, isAdmin)

    return (
        <div className={classes.main}>
            <MyInput 
                type={"text"} 
                value={login} 
                placeholder={"Логин"}
                change={setLogin} 
                otherMainStyle={{width: "100%", height: "100%", marginTop: "1%"}} 
                otherInputStyle={{width: "100%", height: "10%"}}
            />
            <MyInput 
                type={"text"} 
                value={phone} 
                placeholder={"Телефон"}
                change={setPhone}
                otherMainStyle={{width: "100%", height: "100%", marginTop: "1%"}} 
                otherInputStyle={{width: "100%", height: "10%"}}
            />
            <MyInput 
                type={"text"} 
                value={firstName} 
                placeholder={"Имя"}
                change={setFirstName}
                otherMainStyle={{width: "100%", height: "100%", marginTop: "1%"}} 
                otherInputStyle={{width: "100%", height: "10%"}}
            />
            <MyInput 
                type={"text"} 
                value={lastName} 
                placeholder={"Фамилия"}
                change={setLastName}
                otherMainStyle={{width: "100%", height: "100%", marginTop: "1%"}} 
                otherInputStyle={{width: "100%", height: "10%"}}
            />
            <MyInput 
                type={"text"} 
                value={email} 
                placeholder={"email"}
                change={setEmail}
                otherMainStyle={{width: "100%", height: "100%", marginTop: "1%"}} 
                otherInputStyle={{width: "100%", height: "10%"}}
            />
            <div className={classes.main__status}>
                <div className={classes.main__status__admin}>
                    <div className={classes.main__status__admin__text}>Администратор</div>
                    <div className={classes.main__status__admin__checkbox}>
                        <div class="form-check">
                            <input 
                                class="form-check-input" 
                                type="radio" 
                                name="admin"
                                id="choiceYes"
                                value="1" 
                                checked={isAdmin}
                                onChange={() => setIsAdmin(true)}
                            />
                            <label class="form-check-label" for="choiceYes">Да</label>
                        </div>
                        <div class="form-check">
                            <input 
                                class="form-check-input" 
                                type="radio" 
                                name="admin"
                                id="choiceNo"
                                value="2" 
                                checked={!isAdmin}
                                onChange={() => setIsAdmin(false)}
                            />
                            <label class="form-check-label" for="choiceNo">Нет</label>
                        </div>
                    </div>
                </div>
                <div className={classes.main__status__teacher}>
                    <div className={classes.main__status__admin__text}>Учитель</div>
                    <div className={classes.main__status__admin__checkbox}>
                        <div class="form-check">
                            <input 
                                class="form-check-input" 
                                type="radio" 
                                name="teacher"
                                id="choiceYes"
                                value="1" 
                                checked={isTeacher}
                                onChange={() => setIsTeacher(true)}
                            />
                            <label class="form-check-label" for="choiceYes">Да</label>
                        </div>
                        <div class="form-check">
                            <input 
                                class="form-check-input" 
                                type="radio" 
                                name="teacher"
                                id="choiceNo"
                                value="2" 
                                checked={!isTeacher}
                                onChange={() => setIsTeacher(false)}
                            />
                            <label class="form-check-label" for="choiceNo">Нет</label>
                        </div>
                    </div>
                </div>
            </div>
            
        </div>
    )
}

export default EditUserAdminPanel;