import axios from "axios";

async function getAnswersApi(token, formToken) {
    try {
        const response = await axios.get(`https://api.minerva.krbl.ru/formBuilder/edit/${formToken}/answers`,
        {
            headers: {
                "Authorization": `Token ${token}`
            }
        })
        return response
    }
    catch (e) {
        return e
    }
};

async function removeAnswerFormApi(token, formId, answerId) {
    try {
        const response = await axios.delete(`https://api.minerva.krbl.ru/formBuilder/edit/${formId}/answers`,
        {
            headers: {
                "Authorization": `Token ${token}`
            },
            data: {
                "answer_id": answerId
            }
        })
        return response
    }
    catch (e) {
        return e
    }
};

export { getAnswersApi, removeAnswerFormApi }