import axios from "axios";

async function editUserApi(token, data) {
    try {
        const response = await axios.post("https://api.minerva.krbl.ru/auth/manage/edit", 
        {
            "email": data.email,
            "first_name": data.first_name,
            "id": data.id,
            "is_admin": data.is_admin,
            "is_teacher": data.is_teacher,
            "last_name": data.last_name,
            "login": data.login,
            "phone": data.phone
        },
        { 
            headers: {
                "Authorization": `Token ${token}`,
            },
        })

        console.log(response)
        return response
    }
    catch(e) {
        console.log(e)
        return e
    }
};


// async function getListUserApi(token) {
//     try {
//         const response = await axios.get(`https://api.minerva.krbl.ru/auth/manage/users`,
//         {
//             headers: {
//                 "Authorization": `Token ${token}`
//             }
//         })
//         return response
//     }
//     catch (e) {
//         return e
//     }
// };


async function getListUserApi(token) {
    try {
        const response = await axios.get(`https://api.minerva.krbl.ru/auth/manage/users`,
        {
            headers: {
                "Authorization": `Token ${token}`
            }
        })
        return response
    }
    catch (e) {
        return e
    }
};

async function addUserApi(token, data) {
    try {
        const response = await axios.post(`https://api.minerva.krbl.ru/auth/manage/add`,
        {
            "email": data.email,
            "first_name": data.first_name,
            // "id": data.id,
            "is_admin": data.is_admin,
            "is_teacher": data.is_teacher,
            "last_name": data.last_name,
            "login": data.login,
            "phone": data.phone
        },
        {
            headers: {
                "Authorization": `Token ${token}`
            }
        })
        return response
    }
    catch (e) {
        return e
    }
}

export {
    editUserApi,
    getListUserApi,
    addUserApi
}