const serviceVideo = {
    "www.youtube.com": parseYTlinkVideo,
    "youtu.be": parseMobileYTlinkVideo,
    "vk.com": parseVKlinkVideo,
    "rutube.ru": parseRTlinkVideo
}

function parseYTlinkVideo(link) {
    const startIndexIdVideo = link.indexOf("watch?v=") + 8;
    const endIndexIdVideo = link.indexOf("&");
    const idVideo = endIndexIdVideo === -1 ? 
        link.slice(startIndexIdVideo) : 
        link.slice(startIndexIdVideo, endIndexIdVideo);

    return `https://www.youtube.com/embed/${idVideo}`
};

function parseMobileYTlinkVideo(link) {
    const startIndexIdVideo = 17;
    const endIndexIdVideo = link.indexOf("?");
    const idVideo = endIndexIdVideo === -1 ? 
        link.slice(startIndexIdVideo) : 
        link.slice(startIndexIdVideo, endIndexIdVideo);

    return `https://www.youtube.com/embed/${idVideo}`
};

function parseVKlinkVideo(link) {
    let idVideo = "";

    if (link.indexOf("video?z=video") !== -1) {
        const startIndexIdVideo = link.indexOf("video?z=video") + 13;
        const endIndexIdVideo = link.lastIndexOf("%");
        idVideo = link.slice(startIndexIdVideo, endIndexIdVideo);
    }
    else if (link.indexOf("video") !== -1) {
        const startIndexIdVideo = link.indexOf("video") + 5;
        idVideo = link.slice(startIndexIdVideo)
    }

    const oid = idVideo.slice(0, idVideo.indexOf("_"));
    const id = idVideo.slice(idVideo.indexOf("_") + 1);

    return `https://vk.com/video_ext.php?oid=${oid}&id=${id}&hd=2`
};

function parseRTlinkVideo(link) {
    const startIndexIdVideo = link.indexOf("video/") + 6;
    const endIndexIdVideo = link.lastIndexOf("?r=a");
    const idVideo = endIndexIdVideo === -1 ?
        link.slice(startIndexIdVideo) :
        link.slice(startIndexIdVideo, endIndexIdVideo);

    return `https://rutube.ru/play/embed/${idVideo}`
};

function parseTotalLinkVideo(link) {
    const serviceLink = {
        check: false,
        parseLink: ""
    };

    if (link) {
        for (let key of Object.keys(serviceVideo)) {
            if (link.indexOf(key) !== -1) {
                serviceLink.parseLink = serviceVideo[key](link);
                serviceLink.check = true;
            }
        }
    }   

    return serviceLink
};

export { parseYTlinkVideo, parseVKlinkVideo, parseTotalLinkVideo }